mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.SystemException System.Runtime.InteropServices.ComVisible(true)

An InvalidComObjectException is thrown when an invalid COM object is used. This happens when the __ComObject type is used directly, without having a backing class factory. For more information, see .

InvalidComObjectException uses the HRESULT COR_E_INVALIDCOMOBJECT which has the value 0x80131527.

The exception thrown when an invalid COM object is used.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  InvalidComObjectException inherits from . This constructor sets the properties of the object as shown in the following table.

  Property Type

  Value

  null.

  A localized error message string.

  Initializes an instance of the InvalidComObjectException with default properties.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  InvalidComObjectException inherits from . This constructor sets the properties of the object as shown in the following table.

  Property Type

  Value

  null.

  Initializes an instance of the InvalidComObjectException with a message.

  The message that indicates the reason for the exception.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This constructor is called during deserialization to reconstitute the exception object transmitted over a stream. For more information, see .

  InvalidComObjectException inherits from .

  Initializes a new instance of the COMException class from serialization data.

  The object that holds the serialized object data.
  The contextual information about the source or destination.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  An exception that is thrown as a direct result of a previous exception should include a reference to the previous exception in the property. The property returns the same value that is passed into the constructor, or null if the property does not supply the inner exception value to the constructor.

  The following table shows the initial property values for an instance of .

  Property

  Value

  The inner exception reference.

  The error message string.

  Initializes a new instance of the class with a specified error message and a reference to the inner exception that is the cause of this exception.

  The error message that explains the reason for the exception.
  The exception that is the cause of the current exception. If the parameter is not null, the current exception is raised in a catch block that handles the inner exception.